%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         go-tomb
%global repo            tomb
# https://github.com/go-tomb/tomb
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          14b3d72120e8d10ea6e6b7f87f7175734b1faab8
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

%global gopkg_import_path       gopkg.in/tomb.v2
%global gopkg_import_path_sec   gopkg.in/v2/tomb

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Helps with clean goroutine termination in the Go language
License:        BSD
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
Summary:       %{summary}
BuildRequires: golang >= 1.2.1-3
Provides:      golang(%{gopkg_import_path}) = %{version}-%{release}
Provides:      golang(%{gopkg_import_path_sec}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep

%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{gopkg_import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{gopkg_import_path}/
install -d -p %{buildroot}/%{gopath}/src/%{gopkg_import_path_sec}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{gopkg_import_path_sec}/

# copy directories
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{gopkg_import_path}/
        cp -rpav $file %{buildroot}%{gopath}/src/%{gopkg_import_path_sec}/
    fi
done

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{gopkg_import_path}

%files devel
%if 0%{?fedora}
%license LICENSE
%doc README.md
%else
%doc README.md LICENSE
%endif
%{gopath}/src/%{gopkg_import_path}
%{gopath}/src/%{gopkg_import_path_sec}

%changelog
* Mon Jun 15 2015 Marek Skalický <mskalick@redhat.com> - 0-0.1.git14b3d72
- First package for Fedora
  resolves: #1232221
